/*

    Copyright (C) 2003 Bjorn Martins Paz (bmp@narpax.com.br)
    Copyright (C) 2003 Davi Einstein Melges Arnaut (dema@narpax.com.br)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "TString.h"

TString::TString(void) {
   m_String = NULL;
}

TString::~TString(void) {
   this->clean();
}

char *TString::getData(void) {
   return m_String;
}

char *TString::cutData(void) {
   char *temp = m_String;
   m_String = NULL;
   return temp;
}

void TString::cat(const char *str) {
   char *temp;

   if( str == NULL )
      return;

   if(m_String == NULL) {
      m_String = new char[ strlen(str) + 1 ];
      strcpy(m_String, str);
   }
   else {
      temp = new char[ strlen(m_String) + strlen(str) + 1 ];
      strcpy(temp, m_String);
      strcat(temp, str);
      delete m_String;
      m_String = temp;
   }
}

void TString::clean(void) {
   if( m_String != NULL ) {
      delete m_String;
      m_String = NULL;
   }
}
